summaryrefslogtreecommitdiffstats
path: root/games/crack-attack
diff options
context:
space:
mode:
author MagicMan2010-05-11 14:28:17 +0200
committer Michiel van Wessem2010-05-11 14:28:17 +0200
commitf93ccf73e46c4547762386fa49bb1f7eb50601b5 (patch)
tree31eb536602a38e0f87ff080ba342c4bfeb383db5 /games/crack-attack
parent5deaf5ff14b6cc91e198daaf76bdfaafdd40c01a (diff)
downloadslackbuilds-f93ccf73e46c4547762386fa49bb1f7eb50601b5.tar.gz
games/crack-attack: Initial import
Diffstat (limited to 'games/crack-attack')
-rw-r--r--games/crack-attack/README3
-rw-r--r--games/crack-attack/crack-attack.SlackBuild90
-rw-r--r--games/crack-attack/crack-attack.desktop.diff15
-rw-r--r--games/crack-attack/crack-attack.info8
-rw-r--r--games/crack-attack/doinst.sh4
-rw-r--r--games/crack-attack/slack-desc11
6 files changed, 131 insertions, 0 deletions
diff --git a/games/crack-attack/README b/games/crack-attack/README
new file mode 100644
index 0000000000..45022dfc75
--- /dev/null
+++ b/games/crack-attack/README
@@ -0,0 +1,3 @@
+Crack Attack! is a fast-paced puzzle game inspired by the
+classic Super NES title Tetris Attack!
+
diff --git a/games/crack-attack/crack-attack.SlackBuild b/games/crack-attack/crack-attack.SlackBuild
new file mode 100644
index 0000000000..620398cb5b
--- /dev/null
+++ b/games/crack-attack/crack-attack.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for Crack Attack!
+
+# Copyright 2007 MagicMan <MagicMan07@bluebottle.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit 1
+fi
+
+PRGNAM=crack-attack
+VERSION=1.1.14
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+PDOCS="AUTHORS ChangeLog COPYING COPYRIGHT INSTALL NEWS README doc"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.* || exit 1
+cd $PRGNAM-$VERSION || exit 1
+
+# Apply crack-attack.desktop.diff patch:
+cat $CWD/$PRGNAM.desktop.diff | patch -p0 --verbose || exit 1
+
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+mkdir -p $PKG/usr/share/applications $PKG/usr/share/pixmaps
+mv $PKG/usr/share/$PRGNAM/$PRGNAM.desktop $PKG/usr/share/applications
+( cd $PKG/usr/share/pixmaps ; ln -sf ../$PRGNAM/$PRGNAM.xpm $PRGNAM.xpm )
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/crack-attack/crack-attack.desktop.diff b/games/crack-attack/crack-attack.desktop.diff
new file mode 100644
index 0000000000..176dd4368b
--- /dev/null
+++ b/games/crack-attack/crack-attack.desktop.diff
@@ -0,0 +1,15 @@
+ --- data/crack-attack.desktop.orig 2007-01-19 10:31:19.000000000 -0800
++++ data/crack-attack.desktop 2007-01-19 10:33:42.000000000 -0800
+@@ -1,9 +1,10 @@
+ [Desktop Entry]
+ Encoding=UTF-8
+ Name=Crack Attack!
++GenericName=Fast-paced Puzzle Game
+ Exec=crack-attack
+-Icon=crack-attack.xpm
++Icon=/usr/share/pixmaps/crack-attack.xpm
+ Terminal=false
+ Type=Application
+-Categories=Application;Games;
++Categories=Application;Game;StrategyGame
+ StartupNotify=false
diff --git a/games/crack-attack/crack-attack.info b/games/crack-attack/crack-attack.info
new file mode 100644
index 0000000000..c4e7c3c784
--- /dev/null
+++ b/games/crack-attack/crack-attack.info
@@ -0,0 +1,8 @@
+PRGNAM="crack-attack"
+VERSION="1.1.14"
+HOMEPAGE="http://www.nongnu.org/crack-attack/"
+DOWNLOAD="http://savannah.nongnu.org/download/crack-attack/crack-attack-1.1.14.tar.bz2"
+MD5SUM="77bfcb38a293e87fd0d0eab05bae8177"
+MAINTAINER="MagicMan"
+EMAIL="MagicMan07@bluebottle.com"
+APPROVED="BP{k}"
diff --git a/games/crack-attack/doinst.sh b/games/crack-attack/doinst.sh
new file mode 100644
index 0000000000..9ad0b734e0
--- /dev/null
+++ b/games/crack-attack/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/crack-attack/slack-desc b/games/crack-attack/slack-desc
new file mode 100644
index 0000000000..0d843bdb21
--- /dev/null
+++ b/games/crack-attack/slack-desc
@@ -0,0 +1,11 @@
+crack-attack: Crack Attack! (Fast-paced Puzzle Game)
+crack-attack:
+crack-attack: Crack Attack! is a fast-paced puzzle game inspired by the
+crack-attack: classic Super NES title Tetris Attack!
+crack-attack:
+crack-attack: Homepage: http://www.nongnu.org/crack-attack/
+crack-attack:
+crack-attack:
+crack-attack:
+crack-attack:
+crack-attack: